<?php

namespace app\admin\controller\client;

use app\controller\Curd;
use app\model\ClientFavorite;
use support\Request;
use support\Response;

class CollectionController extends Curd
{
    public function __construct()
    {
        $this->model = new ClientFavorite();
    }

    public function select(Request $request): Response
    {
        [$where, $format, $limit, $field, $order] = $this->selectInput($request);
        $order = $request->get('order', 'desc');
        $field = $field ?? 'client_favorite_addtimes';
        $where['client_favorite_type'] = '收藏';
        $query = $this->doSelect($where, $field, $order);
        return $this->doFormat($query, $format, $limit);
    }
}